> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/jobs/jobs.md).

# Jobs

## GET /Advertisers/{AccountSID}/Jobs

> Return a list of jobs

```json
{"openapi":"3.1.0","info":{"title":"Brand Jobs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Job":{"type":"object","properties":{"Id":{"type":"string","format":"uuid","description":"The unique identifier for the job."},"Type":{"type":"string","description":"The type of job.","enum":["DownloadReport","ApiReport","UploadAds","TermModification","ClickExport"]},"ProgramId":{"type":"string","description":"The Program ID (CampaignId) this job was scheduled for."},"CreatedBy":{"type":"string","description":"The Account SID of the account that scheduled this job."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the job was created."},"StartedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job started processing."},"CompletedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job completed successfully."},"AbandonedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was abandoned, if applicable."},"CancelledDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was cancelled, if applicable."},"FailedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job failed, if applicable."},"LastProgressUpdateDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time of the most recent progress update."},"Status":{"type":"string","description":"The current status of job processing.","enum":["QUEUED","RUNNING","COMPLETED","CANCELLED","ERROR","FAILED"]},"StatusMessage":{"type":"string","description":"A message describing the current job status."},"RecordsProcessed":{"type":"integer","description":"The number of records processed."},"PercentageComplete":{"type":"integer","description":"The percentage of work completed."},"Replayable":{"type":"boolean","description":"Indicates if this job type can be replayed."},"ResultUri":{"type":"string","format":"uri-reference","nullable":true,"description":"A URI pointing to the result file of a successfully completed job."}}}}},"paths":{"/Advertisers/{AccountSID}/Jobs":{"get":{"operationId":"listJobs","tags":["Jobs"],"summary":"Return a list of jobs","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"CreatedAfter","in":"query","required":false,"description":"Return jobs scheduled after this date and time (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"CreatedBefore","in":"query","required":false,"description":"Return jobs scheduled before this date and time (ISO 8601).","schema":{"type":"string","format":"date-time"}}],"responses":{"200":{"description":"A list of job objects.","content":{"application/json":{"schema":{"type":"object","properties":{"Jobs":{"type":"array","description":"The list of job objects.","items":{"$ref":"#/components/schemas/Job"}}}}}}}}}}}}
```

## Return a job

> Returns an object describing the current status and metadata of a specific job.

```json
{"openapi":"3.1.0","info":{"title":"Brand Jobs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Job":{"type":"object","properties":{"Id":{"type":"string","format":"uuid","description":"The unique identifier for the job."},"Type":{"type":"string","description":"The type of job.","enum":["DownloadReport","ApiReport","UploadAds","TermModification","ClickExport"]},"ProgramId":{"type":"string","description":"The Program ID (CampaignId) this job was scheduled for."},"CreatedBy":{"type":"string","description":"The Account SID of the account that scheduled this job."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the job was created."},"StartedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job started processing."},"CompletedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job completed successfully."},"AbandonedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was abandoned, if applicable."},"CancelledDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was cancelled, if applicable."},"FailedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job failed, if applicable."},"LastProgressUpdateDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time of the most recent progress update."},"Status":{"type":"string","description":"The current status of job processing.","enum":["QUEUED","RUNNING","COMPLETED","CANCELLED","ERROR","FAILED"]},"StatusMessage":{"type":"string","description":"A message describing the current job status."},"RecordsProcessed":{"type":"integer","description":"The number of records processed."},"PercentageComplete":{"type":"integer","description":"The percentage of work completed."},"Replayable":{"type":"boolean","description":"Indicates if this job type can be replayed."},"ResultUri":{"type":"string","format":"uri-reference","nullable":true,"description":"A URI pointing to the result file of a successfully completed job."}}}}},"paths":{"/Advertisers/{AccountSID}/Jobs/{JobId}":{"get":{"operationId":"getJob","tags":["Jobs"],"summary":"Return a job","description":"Returns an object describing the current status and metadata of a specific job.","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"JobId","in":"path","required":true,"description":"The unique identifier for the job.","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"A single job object representing the status of the job.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}}}}}}}
```

## Download a job result

> Downloads the result file if the job is COMPLETED. If the job is still processing, \
> it returns the current status object.<br>

```json
{"openapi":"3.1.0","info":{"title":"Brand Jobs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Job":{"type":"object","properties":{"Id":{"type":"string","format":"uuid","description":"The unique identifier for the job."},"Type":{"type":"string","description":"The type of job.","enum":["DownloadReport","ApiReport","UploadAds","TermModification","ClickExport"]},"ProgramId":{"type":"string","description":"The Program ID (CampaignId) this job was scheduled for."},"CreatedBy":{"type":"string","description":"The Account SID of the account that scheduled this job."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the job was created."},"StartedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job started processing."},"CompletedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job completed successfully."},"AbandonedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was abandoned, if applicable."},"CancelledDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was cancelled, if applicable."},"FailedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job failed, if applicable."},"LastProgressUpdateDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time of the most recent progress update."},"Status":{"type":"string","description":"The current status of job processing.","enum":["QUEUED","RUNNING","COMPLETED","CANCELLED","ERROR","FAILED"]},"StatusMessage":{"type":"string","description":"A message describing the current job status."},"RecordsProcessed":{"type":"integer","description":"The number of records processed."},"PercentageComplete":{"type":"integer","description":"The percentage of work completed."},"Replayable":{"type":"boolean","description":"Indicates if this job type can be replayed."},"ResultUri":{"type":"string","format":"uri-reference","nullable":true,"description":"A URI pointing to the result file of a successfully completed job."}}}}},"paths":{"/Advertisers/{AccountSID}/Jobs/{JobId}/Download":{"get":{"operationId":"downloadJobResult","tags":["Jobs"],"summary":"Download a job result","description":"Downloads the result file if the job is COMPLETED. If the job is still processing, \nit returns the current status object.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"JobId","in":"path","required":true,"description":"The unique identifier for the job whose result you want to download.","schema":{"type":"string","format":"uuid"}},{"name":"Mode","in":"query","required":false,"description":"Set to 'Stream' to stream the file directly instead of redirecting to a signed URL.","schema":{"type":"string","enum":["Stream"]}}],"responses":{"200":{"description":"The job result file.","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"202":{"description":"The job is not yet complete. The response body contains the current job status object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"302":{"description":"Redirect to a temporary signed URL for result file download."}}}}}}
```

## Replay a job

> Replays a completed, failed, or canceled job. Useful if additional results \
> are expected for the original export window.<br>

```json
{"openapi":"3.1.0","info":{"title":"Brand Jobs API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic"}},"schemas":{"Job":{"type":"object","properties":{"Id":{"type":"string","format":"uuid","description":"The unique identifier for the job."},"Type":{"type":"string","description":"The type of job.","enum":["DownloadReport","ApiReport","UploadAds","TermModification","ClickExport"]},"ProgramId":{"type":"string","description":"The Program ID (CampaignId) this job was scheduled for."},"CreatedBy":{"type":"string","description":"The Account SID of the account that scheduled this job."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the job was created."},"StartedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job started processing."},"CompletedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job completed successfully."},"AbandonedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was abandoned, if applicable."},"CancelledDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job was cancelled, if applicable."},"FailedDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time the job failed, if applicable."},"LastProgressUpdateDate":{"type":"string","format":"date-time","nullable":true,"description":"The date and time of the most recent progress update."},"Status":{"type":"string","description":"The current status of job processing.","enum":["QUEUED","RUNNING","COMPLETED","CANCELLED","ERROR","FAILED"]},"StatusMessage":{"type":"string","description":"A message describing the current job status."},"RecordsProcessed":{"type":"integer","description":"The number of records processed."},"PercentageComplete":{"type":"integer","description":"The percentage of work completed."},"Replayable":{"type":"boolean","description":"Indicates if this job type can be replayed."},"ResultUri":{"type":"string","format":"uri-reference","nullable":true,"description":"A URI pointing to the result file of a successfully completed job."}}}}},"paths":{"/Advertisers/{AccountSID}/Jobs/{JobId}/Replay":{"put":{"operationId":"replayJob","tags":["Jobs"],"summary":"Replay a job","description":"Replays a completed, failed, or canceled job. Useful if additional results \nare expected for the original export window.\n","parameters":[{"name":"AccountSID","in":"path","required":true,"description":"The unique identifier for the account.","schema":{"type":"string"}},{"name":"JobId","in":"path","required":true,"description":"The unique identifier for the job to replay.","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"The job was successfully re-queued. The response body contains the new status of the replayed job.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Job"}}}},"403":{"description":"Forbidden — the job is not in a replayable state or type."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/jobs/jobs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
